---
title: FileSystem.root
slug: Web/API/FileSystem/root
tags:
  - API
  - File System API
  - File and Directory Entries API
  - Files
  - NeedsExample
  - Non-standard
  - Property
  - Reference
  - filesystem
  - root
---
<p>{{APIRef("File System API")}}{{SeeCompatTable}}</p>

<p>The read-only <strong><code>root</code></strong> property of the {{domxref("FileSystem")}} interface specifies a {{domxref("FileSystemDirectoryEntry")}} object representing the root directory of the file system, for use with the <a href="/en-US/docs/Web/API/File_and_Directory_Entries_API">File and Directory Entries API</a>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>rootDirEnt</em> = <em>FileSystem</em>.root;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("FileSystemDirectoryEntry")}} representing the file system's root directory.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">// tbd
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('File System API', '#dom-filesystem-root', 'root') }}</td>
   <td>{{ Spec2('File System API') }}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.FileSystem.root")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/File_and_Directory_Entries_API">File and Directory Entries API</a></li>
 <li><a href="/en-US/docs/Web/API/File_and_Directory_Entries_API/Introduction">Introduction to the File System API</a></li>
 <li>{{domxref("FileSystem")}}</li>
</ul>
